ICU 74.2 74.2

Macros | Functions
icudataver.h File Reference

C API: access to ICU Data Version number. More...

`#include "unicode/utypes.h"`

Go to the source code of this file.

## Macros
#define | U_ICU_VERSION_BUNDLE "icuver"
#define | U_ICU_DATA_KEY "DataVersion"

## Functions
U_CAPI void | u_getDataVersion (UVersionInfo dataVersionFillin, UErrorCode *status)
| Retrieves the data version from icuver and stores it in dataVersionFillin.

## Detailed Description

C API: access to ICU Data Version number.

Definition in file icudataver.h.

## Macro Definition Documentation

## ◆ U_ICU_DATA_KEY

#define U_ICU_DATA_KEY "DataVersion"

Stable:
  ICU 49

Definition at line 31 of file icudataver.h.

## ◆ U_ICU_VERSION_BUNDLE

#define U_ICU_VERSION_BUNDLE "icuver"

Stable:
  ICU 49

Definition at line 26 of file icudataver.h.

## Function Documentation

## ◆ u_getDataVersion()

U_CAPI void u_getDataVersion | ( | UVersionInfo | dataVersionFillin,
|  | UErrorCode * | status
| ) |  |

Retrieves the data version from icuver and stores it in dataVersionFillin.

Parameters

  dataVersionFillin | icuver data version information to be filled in if not-null
  status | stores the error code from the calls to resource bundle

Stable:
  ICU 49